
Base Distribution - Story # 11042

Status: Closed Priority: Should have
Author: Robert Lemke Category:
Created: 2010-11-24 Assigned To:
Updated: 2011-09-20 Due date:
Subject: As Roger, I want clean and extensible JavaScript Code
Description

this includes also the Breadcrumb Menu

Subtasks:
Task # 10499: Refactor UserInterface.ContentDialog event names Resolved
Task # 26625: JS Unit tests should run automatically in build Resolved
Task # 10500: Refactor "Content Changed" events Resolved
Task # 10497: Refactor Content.FrontendEditor.getCurrentContext -- this is used in a lo... Resolved
Task # 12685: Cleanup Aloha Frontend Editor Resolved
Task # 10479: Move JS Unit testing to the Testing package Closed
Task # 10855: Restructure files beneath Resources/Public/JavaScript Resolved

History
#1 - 2010-11-24 12:36 - Robert Lemke
- Target version changed from 711 to 732
- Position set to 2

#2 - 2011-01-06 14:35 - Sebastian Kurfuerst
- Target version changed from 732 to 788
- Position deleted (14)
- Position set to 4

#3 - 2011-01-06 14:53 - Sebastian Kurfuerst
- Position deleted (5)
- Position set to 14

#4 - 2011-05-05 13:51 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Category deleted (JavaScript)
- Target version deleted (788)

#5 - 2011-05-06 08:20 - Robert Lemke
- Position deleted (17903)
- Position set to 17634

#6 - 2011-05-06 08:20 - Robert Lemke
- Target version set to Sprint 7
- Position deleted (17634)
- Position set to 3

#7 - 2011-09-20 17:54 - Sebastian Kurfuerst
- Status changed from Accepted to Closed
Bulk-closing issues because they are

    -  not relevant anymore due to the sproutcore based backend
    -  or already implemented in the meantime.

Regards, Sebastian
